      PROGRAM product2
      IMPLICIT NONE
      REAL*8 a, force, m
      WRITE(*,'(A,$)') '? '
      READ(*,*) m
      WRITE(*,'(A,$)') 'acceleration a (mks units) = '
      READ(*,*) a
      force = m*a                           ! 力，単位は N(ニュートン)
      WRITE(*,*) 'force (in Newtons) =', force
      END
